## org.apache.felix.obrplugin
Class PomHelper

    java.lang.Object
      org.apache.felix.obrplugin.PomHelper

    public final class PomHelper

extends java.lang.Object

Maven POM helper methods.

Author:
  Felix Project Team

Constructor Summary
`PomHelper()`

Method Summary
`static org.apache.maven.project.MavenProject` `buildPom(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String packaging)`
`static org.apache.maven.project.MavenProject` `readPom(java.io.File pomFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PomHelper

    public PomHelper()

Method Detail

### readPom

    public static org.apache.maven.project.MavenProject readPom(java.io.File pomFile)
                                                         throws org.apache.maven.plugin.MojoExecutionException

  Throws:
    `org.apache.maven.plugin.MojoExecutionException`

### buildPom

    public static org.apache.maven.project.MavenProject buildPom(java.lang.String groupId,
                                                                 java.lang.String artifactId,
                                                                 java.lang.String version,
                                                                 java.lang.String packaging)

Copyright © 2011. All Rights Reserved.